Subject: [Healeys] stuck in overdrive

From: [email-masked]
Date: Thu, 29 May 2014 09:58:46 -0400 (EDT)

A friend is 1.5 days from home & just called to tell me his overdrive is stuck
in the engaged position. I told him I would see if the group has any
suggestions on how to disengage it. the car is a 100 with 4 speed trans. & OD.
My friend is an electrician so I believe we can eliminate any electrical
issues. This appears to be a mechanical/hydraulic problem. What would be the
most likely cause of this issue & is there a way  to get the OD to release?
Gary Hodson
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys